Skip to main content
GET
/
recipients
cURL
curl --request GET \
  --url 'https://api.equalsmoney.com/v2/recipients?accountId={{accountId}}' \
  --header 'Authorization: <api-key>'
import requests

url = "https://api.equalsmoney.com/v2/recipients"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://api.equalsmoney.com/v2/recipients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "limit": 200,
  "offset": 100,
  "count": 67,
  "rows": [
    {
      "id": "8lciyups6",
      "accountId": "F50091",
      "accountIdentifier": "55555555",
      "bankIdentifier": "395744",
      "schemeName": "UK.OBIE.IBAN",
      "name": "William Walker",
      "friendlyName": "Electrician",
      "intermediaryBankIdentifier": "QBLCCCCV",
      "paymentNetwork": "SWIFT",
      "purposeCode": "string",
      "email": "string",
      "defaultPurpose": "Purpose of the payment",
      "defaultReference": "string",
      "status": "AUTHORISED",
      "sepa": true,
      "currency": "USD",
      "bankCode": "string",
      "createdBy": "string",
      "recipientType": "string",
      "verificationMethod": "phone",
      "recipientAddress": {
        "country": "string",
        "address": "123 Fake Street",
        "city": "London",
        "postcode": "SW1A 1AA"
      },
      "bankAddress": {
        "bankName": "Brilliant Bank",
        "fullBankName": "Brilliant Bank Plc",
        "city": "Enfield",
        "postcode": "EN1 3JY",
        "country": "string",
        "address": "1 High Street"
      },
      "validation": {
        "nameMatch": true,
        "reason": "string",
        "reasonCode": "N000",
        "actualName": "William Walker"
      },
      "bankDetailsFormat": "bic-accountnumber"
    }
  ]
}

Authorizations

Authorization
string
header
required

Query Parameters

accountId
string
required

The ID of the account to work with.

Example:

"F50091"

limit
integer
default:100

The maximum number of results to return.

Required range: 1 <= x <= 1000
Example:

200

offset
integer
default:0

The number of items to skip before returning results.

Example:

100

The term to search the records for.

Maximum string length: 100
Example:

"Cesar+Treutel"

deleted
enum<string>

Whether to return deleted recipients

Available options:
true,
false
status
enum<string>

The recipient's status.

Available options:
UNVERIFIED,
PENDING,
AUTHORISED,
REJECTED
Example:

"AUTHORISED"

Response

200 - application/json

OK

count
integer
required

The total amount of records matching the querying when "limit" is ignored.

Example:

67

rows
object[]
required

Array of all matching recipients.

limit
integer
default:100

The maximum number of results to return.

Required range: 1 <= x <= 1000
Example:

200

offset
integer
default:0

The number of items to skip before returning results.

Example:

100